# Note: the spaces around the equal sign ('=') are optional.
when = everyday at {{ backup_app_service_conf_time | mandatory }}

rsync -aAx --del {{ app_instance_root }} {{ backup_prod_dir }}/{{ app_instance_id }}
rc=$?; if [[ $rc != 0 ]]; then error "app" ; fi

cd {{ backup_prod_dir }}/{{ app_instance_id }}
rm {{ backup_prod_dir }}/{{ app_instance_id }}/{{ database_name }}.sql
/usr/bin/mysqldump --opt --force {{ database_name }} > {{ database_name }}.sql
rc=$?; if [[ $rc != 0 ]]; then fatal "sql" ; fi
